﻿@model IEnumerable<EnergyMission.Domain.Entities.SensorEntity>

@Html.Raw(File.ReadAllText(Server.MapPath("~/Views/Shared/_GridViewCommon.txt")))
@{
 EnergyMission.Domain.Entities.SensorEntity Sensors = new SensorEntity();
}
@section Scripts {
  <script>



      $(document).ready(function () {

        
          $("#viewSensore").hide();
        

      });
     

      var selectedKeys = "";

      function aspxSEClick(selectedValues) {
          debugger
          $("#viewSensore").show();
          var value = selectedValues;
        
          $.ajax({
              type: "Get",
              url: "/Sensors/Edits",
              data: { "Id": value },
              dataType: 'json',
              contentType: "application/json;charset=utf-8",
              success: function (data) {
              
                  $("#Id").val(data.result[0].id);
                  $("#Name").val(data.result[0].name);
                  $("#SensorType").val(data.result[0].sensorType);
                  $("#DataFeed").val(data.result[0].dataFeed);
                  $("#CreatorUserId").val(data.result[0].createdBy);
                  $("#CreationTime").val(data.result[0].createdOn);
                
               
                 
              },


              error: function (textStatus, errorThrown) {

                  alert(textStatus);
              }
          });

          //for (var i in selectedValues) {
          //    selectedKeys = selectedKeys + selectedValues[i] + ";";
          //}

          //gvRequestsList.PerformCallback();
      }

    
</script>





}




<div class="examples">
    <div id="testDivNested">
        <div class="gray_bg">
            @*<div class="ensure" id="errorssms"><i class="fa fa-exclamation-circle"></i>@ViewBag.msg </div>*@
            <!-- Start White Inner -->
            <div class="white_inner">

                <div class="client-admin-login">
                    @Html.Action("GridViewPartial")

                    <span class="add_new">@Html.ActionLink("Add New","Create","Sensors")</span>



                </div>
                @*<a href="Javascript:visible();" id="Addclient" class="add_new">Add New Client</a>

                    <*@

            </div>
            <div class="bottom people" id="viewSensore">


                @Html.Partial("_AddEditPartial", Sensors)

              


            </div>
            @*<div class="top_name">
                    <ul>
                        <li>Countries</li>
                    </ul>
                </div>
                <div id="testDiv1">
                    <div class="inner">
                        <div class="row_client">
                            <span class="black">Australia</span>
                            <span class="edit"><a href="#">Edit</a></span>
                            <span class="delete"><a href="#">Delete</a></span>
                        </div>
                    </div>
                </div>*@
        </div>
        <!-- End Countries -->

    </div>
    <!-- End White Inner -->
    <!-- Start Bottom Details -->

</div>

@*<div id="gridContainer">
  
</div>

<div class="bottom people" id="viewSensore">


    @Html.Partial("_AddEditPartial", Sensors)


</div>*@



